io.vertx.lang.rxjava

## Class ReadStreamAdapter<J,R>

- java.lang.Object
- - io.vertx.rx.java.SingleOnSubscribeAdapter<R>
  - - io.vertx.lang.rxjava.ReadStreamAdapter<J,R>

- All Implemented Interfaces:
    Handler<J>, rx.functions.Action, rx.functions.Action1<rx.Subscriber<? super R>>, rx.functions.Function, rx.Observable.OnSubscribe<R>

      public class ReadStreamAdapter<J,R>
      extends SingleOnSubscribeAdapter<R>
      implements Handler<J>

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.rx.java.SingleOnSubscribeAdapter

      `subRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadStreamAdapter(ReadStream<R> stream, java.util.function.Function<J,R> adapter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(J event)` Something has happened, so handle it.
    `void` | `onSubscribed()`
    `void` | `onUnsubscribed()`

    - ### Methods inherited from class io.vertx.rx.java.SingleOnSubscribeAdapter

      `call, fireComplete, fireError, fireNext, fireResult, getSubscriber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadStreamAdapter

          public ReadStreamAdapter(ReadStream<R> stream,
                                   java.util.function.Function<J,R> adapter)

  - ### Method Detail

    - #### handle

          public void handle(J event)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<J>`
      Parameters:
        `event` - the event to handle

    - #### onSubscribed

          public void onSubscribed()

      Overrides:
        `onSubscribed` in class `SingleOnSubscribeAdapter<R>`

    - #### onUnsubscribed

          public void onUnsubscribed()

      Overrides:
        `onUnsubscribed` in class `SingleOnSubscribeAdapter<R>`

Copyright © 2015. All rights reserved.